Cognitive Interaction Toolkit - Bug #261

job-generator fails to add shell.command if you use an invalid variable name/forget to escape
variables

2014-05-28 16:34 - Simon Schulz

Status: Resolved Start date: 2014-05-28
Priority: Normal Due date:

Assignee: Jan Moringen % Done: 100%
Category: build-generator Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

there seems to be a bug within the job generator when there are invalid escape sequences.

example 1:

"shell.command" : "echo \"#pkg config file for reflexxes
lib\nprefix=${toolkit.dirf\nexec_prefix=\\${prefix}\nlibdir=\\$(prefix)/lib\nincludedir=\\$(prefix)/include\nName: reflexxes\nDescription:
reflexxes motion lib\nVersion: 1.2.3\nRequires:\nLibs: -L\${libdir} -IReflexxesTypel\nCflags: -N\${includedir}\n\n\"

-> the shell commands are added to the jenkins job as expected.

example 2:

"shell.command" : "echo \"#pkg config file for reflexxes
lib\nprefix=${toolkit.dir}\nexec_prefix=\\${prefix}\nlibdir=\\$ (prefix)/lib\nincludedir=\\$ (prefix)/include\nName: reflexxes\nDescription:
reflexxes motion lib\nVersion: 1.2.3\nRequires:\nLibs: -L\\${libdir} -IReflexxesTypel\nCflags: -1${includedirf\n\n\"

DIFFERENCE: -I${includedir} instead of -I\${includedir} (a typo..)

i do not get any warning or error. the full shell.command is simply ignored and does not show up in jenkins config.xml

Related issues:
duplicated by Cognitive Interaction Toolkit - Bug # 335: errors with environm... Closed 2014-11-21
duplicated by Cognitive Interaction Toolkit - Bug # 354: poor / no error feed... Closed 2014-12-17

Associated revisions

Revision ca814051 - 2015-10-01 12:40 - Jan Moringen

Adapted templates for strict generator version in templates/*/*.template
refs #261

e templates/*/*.template: provide empty default values for potentially
undefined variables to enable signaling errors on undefined variables

History

#1 - 2014-05-28 17:31 - Jan Moringen

See upstream issue https://code.cor-lab.org/issues/1892.

#2 - 2015-08-26 09:30 - Florian Lier

- Status changed from New to Feedback
https://code.cor-lab.org/issues/1892

Status?

#3 - 2015-10-02 11:13 - Jan Moringen

- Category set to build-generator

- Status changed from Feedback to Resolved
- Assignee set to Jan Moringen

- % Done changed from 0 to 100

Should be fixed in master version.

2025-04-05 22


http://www.tcpdf.org

